diff --git a/game/core/src/main/java/net/minecraft/core/entity/Entity.java b/game/core/src/main/java/net/minecraft/core/entity/Entity.java
index 3800df8cf..b59005a58 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/Entity.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/Entity.java
@@ -1181,68 +1065,56 @@ public abstract class Entity
 
     public abstract void addAdditionalSaveData(@NotNull CompoundTag tag);
 
-    protected @NotNull ListTag newDoubleList(double[] array)
-    {
+    protected @NotNull ListTag newDoubleList(double[] array) {
         ListTag list = new ListTag();
-        for (double d : array)
-        {
+        for (double d : array) {
             list.addTag(new DoubleTag(d));
         }
 
         return list;
     }
 
-    protected @NotNull ListTag newFloatList(float[] array)
-    {
+    protected @NotNull ListTag newFloatList(float[] array) {
         ListTag list = new ListTag();
-        for (float f : array)
-        {
+        for (float f : array) {
             list.addTag(new FloatTag(f));
         }
 
         return list;
     }
 
-    public float getShadowHeightOffs()
-    {
+    public float getShadowHeightOffs() {
         return 0.25f;
     }
 
-    public @NotNull EntityItem dropItem(int itemId, int stackSize)
-    {
+    public @NotNull EntityItem dropItem(int itemId, int stackSize) {
         return dropItem(itemId, stackSize, 0.0F);
     }
 
-    public @NotNull EntityItem dropItem(int itemId, int stackSize, float verticalOffset)
-    {
+    public @NotNull EntityItem dropItem(int itemId, int stackSize, float verticalOffset) {
         return dropItem(new ItemStack(itemId, stackSize, 0), verticalOffset);
     }
 
-    public @NotNull EntityItem dropItem(@NotNull ItemStack itemStack, float verticalOffset)
-    {
-        final EntityItem entityitem = new EntityItem(world, x, y + verticalOffset, z, itemStack);
+    public @NotNull EntityItem dropItem(@NotNull ItemStack itemStack, float verticalOffset) {
+        final EntityItem entityitem = new EntityItem(this.world, this.x, this.y + verticalOffset, this.z, itemStack);
         entityitem.pickupDelay = 10;
         this.world.entityJoinedWorld(entityitem);
         return entityitem;
     }
 
-    public boolean isAlive()
-    {
-        return !removed;
+    public boolean isAlive() {
+        return !this.removed;
     }
 
-    public boolean isInWall()
-    {
-        for(int i = 0; i < 8; i++)
-        {
-            float f = ((float)((i >> 0) % 2) - 0.5F) * bbWidth * 0.9F;
-            float f1 = ((float)((i >> 1) % 2) - 0.5F) * 0.1F;
-            float f2 = ((float)((i >> 2) % 2) - 0.5F) * bbWidth * 0.9F;
-            int x = MathHelper.floor(this.x + (double)f);
-            int y = MathHelper.floor(this.y + (double) getHeadHeight() + (double)f1);
-            int z = MathHelper.floor(this.z + (double)f2);
-            if(world.isBlockNormalCube(x, y, z))
-            {
+    public boolean isInWall() {
+        for (int i = 0; i < 8; i++) {
+            float f = ((float) ((i >> 0) % 2) - 0.5F) * this.bbWidth * 0.9F;
+            float f1 = ((float) ((i >> 1) % 2) - 0.5F) * 0.1F;
+            float f2 = ((float) ((i >> 2) % 2) - 0.5F) * this.bbWidth * 0.9F;
+            int x = MathHelper.floor(this.x + (double) f);
+            int y = MathHelper.floor(this.y + (double) getHeadHeight() + (double) f1);
+            int z = MathHelper.floor(this.z + (double) f2);
+            if (this.world.isBlockNormalCube(x, y, z)) {
                 return true;
             }
         }
@@ -1250,88 +1122,76 @@ public abstract class Entity
         return false;
     }
 
-    public boolean interact(@NotNull Player player)
-    {
+    public boolean interact(@NotNull Player player) {
         return false;
     }
 
-    public void rideTick()
-    {
-        if (vehicle == null) {
+    public void rideTick() {
+        if (this.vehicle == null) {
             return;
         }
-        if(vehicle.isRemoved() || isSneaking() || (vehicle instanceof Entity && !((Entity) vehicle).isAlive()))
-        {
-            vehicle.ejectRider();
+        if (this.vehicle.isRemoved() || isSneaking() || (this.vehicle instanceof Entity && !((Entity) this.vehicle).isAlive())) {
+            this.vehicle.ejectRider();
             return;
         }
-        xd = 0.0D;
-        yd = 0.0D;
-        zd = 0.0D;
+        this.xd = 0.0D;
+        this.yd = 0.0D;
+        this.zd = 0.0D;
         tick();
-        if(vehicle == null)
-        {
+        if (this.vehicle == null) {
             return;
         }
-        vehicle.positionRider();
-        entityRiderYawDelta = MathHelper.normalizeRotation(entityRiderYawDelta + vehicle.getYRotDelta());
-        entityRiderPitchDelta = MathHelper.normalizeRotation(entityRiderPitchDelta + vehicle.getXRotDelta());
+        this.vehicle.positionRider();
+        this.entityRiderYawDelta = MathHelper.normalizeRotation(this.entityRiderYawDelta + this.vehicle.getYRotDelta());
+        this.entityRiderPitchDelta = MathHelper.normalizeRotation(this.entityRiderPitchDelta + this.vehicle.getXRotDelta());
 
         final float maxRot = 10F;
-        double yaw = MathHelper.clamp(entityRiderYawDelta / 2D, -maxRot, maxRot);
-        double pitch = MathHelper.clamp(entityRiderPitchDelta / 2D, -maxRot, maxRot);
+        double yaw = MathHelper.clamp(this.entityRiderYawDelta / 2D, -maxRot, maxRot);
+        double pitch = MathHelper.clamp(this.entityRiderPitchDelta / 2D, -maxRot, maxRot);
 
-        entityRiderYawDelta -= yaw;
+        this.entityRiderYawDelta -= yaw;
         //entityRiderPitchDelta -= pitch;
-        if(turnWithVehicle && !(vehicle instanceof MobPig)) yRot += yaw;
+        if (this.turnWithVehicle && !(this.vehicle instanceof MobPig)) this.yRot += yaw;
         //rotationPitch += pitch;
     }
 
     @Override
-    public void positionRider()
-    {
-        if (passenger == null) {
+    public void positionRider() {
+        if (this.passenger == null) {
             return;
         }
-        passenger.setPos(x, y + getRideHeight() + passenger.getRidingHeight(), z);
+        this.passenger.setPos(this.x, this.y + getRideHeight() + this.passenger.getRidingHeight(), this.z);
     }
 
-    public double getRidingHeight()
-    {
-        return heightOffset;
+    public double getRidingHeight() {
+        return this.heightOffset;
     }
 
-    public double getRideHeight()
-    {
-        return (double) bbHeight * 0.75D;
+    public double getRideHeight() {
+        return (double) this.bbHeight * 0.75D;
     }
 
-    public void startRiding(IVehicle vehicle)
-    {
-    	if(!canRide()) {
-    		return;
-    	}
+    public void startRiding(IVehicle vehicle) {
+        if (!canRide()) {
+            return;
+        }
         if (this.vehicle == vehicle) {
             return;
         }
-        entityRiderPitchDelta = 0.0D;
-        entityRiderYawDelta = 0.0D;
-        if(vehicle == null)
-        {
-            if(this.vehicle != null)
-            {
+        this.entityRiderPitchDelta = 0.0D;
+        this.entityRiderYawDelta = 0.0D;
+        if (vehicle == null) {
+            if (this.vehicle != null) {
                 this.vehicle.moveExitingEntity(this);
                 this.vehicle.setPassenger(null);
             }
             this.vehicle = null;
             return;
         }
-        if(this.vehicle != null)
-        {
+        if (this.vehicle != null) {
             this.vehicle.setPassenger(null);
         }
-        if(vehicle.getPassenger() != null)
-        {
+        if (vehicle.getPassenger() != null) {
             vehicle.getPassenger().vehicle = null;
         }
         this.vehicle = vehicle;
@@ -1344,75 +1204,63 @@ public abstract class Entity
 
     @Override
     public Entity ejectRider() {
-    	Entity entity = passenger;
-    	if(entity == null) return null;
-    	
-    	this.passenger = null;
-    	entity.vehicle = null;
-    	
-    	entity.moveTo(this.x, this.bb.minY, this.z, entity.yRot, entity.xRot);
-    	return entity;
+        Entity entity = this.passenger;
+        if (entity == null) return null;
+
+        this.passenger = null;
+        entity.vehicle = null;
+
+        entity.moveTo(this.x, this.bb.minY, this.z, entity.yRot, entity.xRot);
+        return entity;
     }
 
     public void lerpTo(double x, double y, double z, float yRot,
-                       float xRot, int i)
-    {
+                       float xRot, int i) {
         setPos(x, y, z);
         setRot(yRot, xRot);
-        List<AABB> cubes = world.getCubes(this, bb.getInsetBoundingBox(0.03125D, 0.0D, 0.03125D));
-        if(!cubes.isEmpty())
-        {
+        List<AABBdc> cubes = this.world.getCubes(this, MathHelper.aabbInsetBoundingBox(this.bb, 0.03125D, 0.0D, 0.03125D, new AABBd()));
+        if (!cubes.isEmpty()) {
             double d3 = 0.0D;
-            for (AABB cube : cubes)
-            {
-                if (cube.maxY > d3)
-                {
-                    d3 = cube.maxY;
+            for (AABBdc cube : cubes) {
+                if (cube.maxY() > d3) {
+                    d3 = cube.maxY();
                 }
             }
 
-            y += d3 - bb.minY;
+            y += d3 - this.bb.minY;
             setPos(x, y, z);
         }
     }
 
-    public float getPickRadius()
-    {
+    public float getPickRadius() {
         return 0.1F;
     }
 
-    public Vec3 getViewVector(float partialTick)
-    {
+    public @Nullable Vector3dc getViewVector(float partialTick) {
         return null;
     }
 
-    public void handlePortal(int portalBlockId, DyeColor portalColor)
-    {
+    public void handlePortal(int portalBlockId, DyeColor portalColor) {
     }
 
     @Nullable
-    public ItemStack[] getInventory()
-    {
+    public ItemStack[] getInventory() {
         return null;
     }
 
-    public void lerpMotion(double xd, double yd, double zd)
-    {
+    public void lerpMotion(double xd, double yd, double zd) {
         this.xd = xd;
         this.yd = yd;
         this.zd = zd;
     }
 
-    public void handleEntityEvent(byte byte0, float attackedAtYaw)
-    {
+    public void handleEntityEvent(byte byte0, float attackedAtYaw) {
     }
 
-    public void animateHurt()
-    {
+    public void animateHurt() {
     }
 
-    public void setEquippedSlot(int slot, int itemID, int itemMeta, CompoundTag tag)
-    {
+    public void setEquippedSlot(int slot, int itemID, int itemMeta, CompoundTag tag) {
     }
 
     public void setHeldObject(@Nullable ICarriable heldObject) {
@@ -1423,152 +1271,125 @@ public abstract class Entity
         return null;
     }
 
-    public boolean isOnFire()
-    {
-        return !fireImmune && remainingFireTicks > 0 || getSharedFlag(FLAG_ONFIRE);
+    public boolean isOnFire() {
+        return !this.fireImmune && this.remainingFireTicks > 0 || getSharedFlag(FLAG_ONFIRE);
     }
 
-    public boolean isPassenger()
-    {
-        return vehicle != null || getSharedFlag(FLAG_RIDING);
+    public boolean isPassenger() {
+        return this.vehicle != null || getSharedFlag(FLAG_RIDING);
     }
 
-    public boolean isSneaking()
-    {
+    public boolean isSneaking() {
         return getSharedFlag(FLAG_SNEAKING);
     }
-    
-    public void setSneaking(boolean flag)
-    {
-    	setSharedFlag(FLAG_SNEAKING, flag);
+
+    public void setSneaking(boolean flag) {
+        setSharedFlag(FLAG_SNEAKING, flag);
     }
 
-    protected boolean getSharedFlag(int i)
-    {
-        return (entityData.getByte(0) & 1 << i) != 0;
+    protected boolean getSharedFlag(int i) {
+        return (this.entityData.getByte(0) & 1 << i) != 0;
     }
 
-    protected void setSharedFlag(int id, boolean flag)
-    {
-        byte sharedFlags = entityData.getByte(DATA_SHARED_FLAGS_ID);
-        if(flag)
-        {
-            entityData.set(DATA_SHARED_FLAGS_ID, (byte) (sharedFlags | 1 << id));
-        } else
-        {
-            entityData.set(DATA_SHARED_FLAGS_ID, (byte) (sharedFlags & ~(1 << id)));
+    protected void setSharedFlag(int id, boolean flag) {
+        byte sharedFlags = this.entityData.getByte(DATA_SHARED_FLAGS_ID);
+        if (flag) {
+            this.entityData.set(DATA_SHARED_FLAGS_ID, (byte) (sharedFlags | 1 << id));
+        } else {
+            this.entityData.set(DATA_SHARED_FLAGS_ID, (byte) (sharedFlags & ~(1 << id)));
         }
     }
 
-    public void thunderHit(EntityLightning bolt)
-    {
+    public void thunderHit(EntityLightning bolt) {
         burn(5);
-        remainingFireTicks++;
-        if(remainingFireTicks == 0)
-        {
-            remainingFireTicks = 300;
+        this.remainingFireTicks++;
+        if (this.remainingFireTicks == 0) {
+            this.remainingFireTicks = 300;
         }
-        maxFireTicks = remainingFireTicks;
+        this.maxFireTicks = this.remainingFireTicks;
     }
 
-    public void killed(Mob mob)
-    {
+    public void killed(Mob mob) {
     }
 
-    protected boolean checkInTile(double d, double d1, double d2)
-    {
+    protected boolean checkInTile(double d, double d1, double d2) {
         int i = MathHelper.floor(d);
         int j = MathHelper.floor(d1);
         int k = MathHelper.floor(d2);
-        double d3 = d - (double)i;
-        double d4 = d1 - (double)j;
-        double d5 = d2 - (double)k;
-        if(world.isBlockNormalCube(i, j, k))
-        {
-            boolean flag = !world.isBlockNormalCube(i - 1, j, k);
-            boolean flag1 = !world.isBlockNormalCube(i + 1, j, k);
-            boolean flag2 = !world.isBlockNormalCube(i, j - 1, k);
-            boolean flag3 = !world.isBlockNormalCube(i, j + 1, k);
-            boolean flag4 = !world.isBlockNormalCube(i, j, k - 1);
-            boolean flag5 = !world.isBlockNormalCube(i, j, k + 1);
+        double d3 = d - (double) i;
+        double d4 = d1 - (double) j;
+        double d5 = d2 - (double) k;
+        if (this.world.isBlockNormalCube(i, j, k)) {
+            boolean flag = !this.world.isBlockNormalCube(i - 1, j, k);
+            boolean flag1 = !this.world.isBlockNormalCube(i + 1, j, k);
+            boolean flag2 = !this.world.isBlockNormalCube(i, j - 1, k);
+            boolean flag3 = !this.world.isBlockNormalCube(i, j + 1, k);
+            boolean flag4 = !this.world.isBlockNormalCube(i, j, k - 1);
+            boolean flag5 = !this.world.isBlockNormalCube(i, j, k + 1);
             byte byte0 = -1;
             double d6 = 9999D;
-            if(flag && d3 < d6)
-            {
+            if (flag && d3 < d6) {
                 d6 = d3;
                 byte0 = 0;
             }
-            if(flag1 && 1.0D - d3 < d6)
-            {
+            if (flag1 && 1.0D - d3 < d6) {
                 d6 = 1.0D - d3;
                 byte0 = 1;
             }
-            if(flag2 && d4 < d6)
-            {
+            if (flag2 && d4 < d6) {
                 d6 = d4;
                 byte0 = 2;
             }
-            if(flag3 && 1.0D - d4 < d6)
-            {
+            if (flag3 && 1.0D - d4 < d6) {
                 d6 = 1.0D - d4;
                 byte0 = 3;
             }
-            if(flag4 && d5 < d6)
-            {
+            if (flag4 && d5 < d6) {
                 d6 = d5;
                 byte0 = 4;
             }
-            if(flag5 && 1.0D - d5 < d6)
-            {
+            if (flag5 && 1.0D - d5 < d6) {
                 double d7 = 1.0D - d5;
                 byte0 = 5;
             }
-            float f = random.nextFloat() * 0.2F + 0.1F;
-            if(byte0 == 0)
-            {
-                xd = -f;
+            float f = this.random.nextFloat() * 0.2F + 0.1F;
+            if (byte0 == 0) {
+                this.xd = -f;
             }
-            if(byte0 == 1)
-            {
-                xd = f;
+            if (byte0 == 1) {
+                this.xd = f;
             }
-            if(byte0 == 2)
-            {
-                yd = -f;
+            if (byte0 == 2) {
+                this.yd = -f;
             }
-            if(byte0 == 3)
-            {
-                yd = f;
+            if (byte0 == 3) {
+                this.yd = f;
             }
-            if(byte0 == 4)
-            {
-                zd = -f;
+            if (byte0 == 4) {
+                this.zd = -f;
             }
-            if(byte0 == 5)
-            {
-                zd = f;
+            if (byte0 == 5) {
+                this.zd = f;
             }
         }
         return false;
     }
-    
+
     public boolean canRide() {
-    	return true;
+        return true;
     }
 
-    public boolean isSprinting()
-    {
+    public boolean isSprinting() {
         return getSharedFlag(FLAG_SPRINTING);
     }
 
-    public void setSprinting(boolean sprinting)
-    {
+    public void setSprinting(boolean sprinting) {
         setSharedFlag(FLAG_SPRINTING, sprinting);
     }
 
     @Override
     public boolean isRemoved() {
-        return removed;
+        return this.removed;
     }
 
     @Override
@@ -1578,22 +1399,22 @@ public abstract class Entity
 
     @Override
     public @Nullable Entity getPassenger() {
-        return passenger;
+        return this.passenger;
     }
 
     @Override
     public void moveExitingEntity(@NotNull Entity entity) {
-        entity.moveTo(x, bb.minY + (double) bbHeight, z, entity.yRot, entity.xRot);
+        entity.moveTo(this.x, this.bb.minY + (double) this.bbHeight, this.z, entity.yRot, entity.xRot);
     }
 
     @Override
     public float getYRotDelta() {
-        return (float) MathHelper.deltaAngle(yRot, yRotO);
+        return (float) MathHelper.deltaAngle(this.yRot, this.yRotO);
     }
 
     @Override
     public float getXRotDelta() {
-        return (float) MathHelper.deltaAngle(xRot, xRotO);
+        return (float) MathHelper.deltaAngle(this.xRot, this.xRotO);
     }
 
     // TODO at some point create a better more generalized method of controlling vehicles
@@ -1613,19 +1434,19 @@ public abstract class Entity
         return false;
     }
 
-    public static String getNameFromEntity(@NotNull Entity entity, boolean useNickname){
+    public static String getNameFromEntity(@NotNull Entity entity, boolean useNickname) {
         I18n translator = I18n.getInstance();
-        if (entity instanceof Mob && useNickname){
-            if (!((Mob) entity).nickname.isEmpty()){
+        if (entity instanceof Mob && useNickname) {
+            if (!((Mob) entity).nickname.isEmpty()) {
                 return ((Mob) entity).nickname;
             }
         }
-        if (entity instanceof Player){
+        if (entity instanceof Player) {
             return ((Player) entity).getDisplayName();
         }
         EntityDispatcher.EntityDispatcherEntry<?> entry = EntityDispatcher.getInstance().entryForClass(entity.getClass());
         if (entry != null) {
-            if (entry.nameKey != null){
+            if (entry.nameKey != null) {
                 return translator.translateKey(entry.nameKey);
             }
             return entry.namespaceID.value();
